# Learning Collision-free and Torque-limited Robot Trajectories based on Alternative Safe Behaviors
This python package provides the code to learn torque-limited and collision-free robot trajectories without exceeding limits on the position, velocity, acceleration and jerk of each robot joint.

## Installation

The package can be installed by running

    pip install safemotions

## Trajectory Generation

To generate a random trajectory with a single robot run

    python -m safemotions.random_agent

For a demonstration scenario with two robots run

    python -m safemotions.random_agent --robot_scene=1

Collision-free trajectories for three robots can be generated by running

    python -m safemotions.random_agent --robot_scene=2

Further documentation and instructions for training via RL coming soon ...


## Publication
The corresponding publication is available at [https://arxiv.org/abs/2103.03793](https://arxiv.org/abs/2103.03793).


## Video

[![Video](https://img.youtube.com/vi/5YpUhMx1xZM/0.jpg)](https://www.youtube.com/watch?v=5YpUhMx1xZM)
